PrompticPromptic

Create or update an annotation

POST
/components/{componentId}/runs/{runId}/annotations

Authorization

BearerApiKey
AuthorizationBearer <token>

API key from workspace settings

In: header

Path Parameters

componentId*string
Formatuuid
runId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/components/497f6eca-6276-4993-bfeb-53cbbbba6f08/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/annotations" \  -H "Content-Type: application/json" \  -d '{    "traceDbId": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "traceDbId": "string",
  "userId": "string",
  "rating": "string",
  "comment": "string",
  "createdAt": "string"
}
{
  "error": "string"
}